package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: NftBatchTransferReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:56
 */
@Data
public class Nft048BatchTransferResp implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft048BatchTransferResp obj = new Nft048BatchTransferResp();
    public static Nft048BatchTransferResp getNew() {
        try {
            return (Nft048BatchTransferResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft048BatchTransferResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
